#ifndef 	LCD_H_
#define		LCD_H_

#define LCD_BLDDR				DDRB
#define LCD_BLPORT				PORTB	
#define LCD_BL					2

#define LCD_Port_DDR			DDRD
#define LCD_Port_Write			PORTD
#define LCD_Port_Read			PIND

#define LCD_BUSALL				0x0F	//Bit 7..4 (output)

#define LCD_CTRL_DDR			DDRC
#define LCD_CTRL_PORT			PORTC
#define LCD_RS					3 		//Pin  RS Command = 0 / Data = 1
#define LCD_E					5 		//Pin  Enable
#define LCD_RW					4		//Pin  Read/Write

#define LCD_DataOutput			0xf8
#define LCD_DataInput			0x08	//08 = KOUT

#define BUSYBIT					7

#define LCD_FUNCTION_SET 		0x28
#define LCD_ON 					0x0C   // if you need to currsor use 0x0f
#define LCD_MODE_SET 			0x06
#define LCD_CLEAR 				0x01

#define	SIZEOF_LINE				16
#define Blacklight_on() 		LCD_BLPORT |= _BV(LCD_BL)
#define	Blacklight_off()  		LCD_BLPORT &= ~_BV(LCD_BL)


#define		LINE1			1
#define		LINE2			2
#define		MAXLENGTH		16

#define 	USE_RW_PIN
//-----------------------------------------------------------------------------------//
//-----------------------------------------------------------------------------------//
void LCD_Write_cmd (char cmd);
void LCD_Write_Char (char dat);
void lcd_gotoxy (uint8_t row, uint8_t col);
void lcd_putc (char c);
void lcd_printf (uint8_t *string);
void lcd_clear (uint8_t line);
void init_lcd (void);
void Symbol (char c, const char *data);
//-----------------------------------------------------------------------------------//
//void demo (void);
//-----------------------------------------------------------------------------------//
#endif  // LCD_H_
//-----------------------------------------------------------------------------------//
//-----------------------------------------------------------------------------------//
